开发环境搭建——Composer install遇到的一些问题(Ubuntu篇)

2018/10/3 上午10:08:11 XXM

如果我们在安装过程中遇到以下错误信息

[Symfony\Component\Process\Exception\RuntimeException]
The Process class relies on procopen, which is not available on your PHP installation.

我们需要打开php.ini文件 路径:/usr/local/php/etc/php.ini

2018-10-03 10-15-52屏幕截图.png

找到disablefunctions这一行,去除掉 proc_open.如果安装过程还有类似错误,根据提示信息排除掉就好了.

因为这些函数默认是被禁用的,所以需要手动打开,然后重新composer install 就ok

2018-10-03 10-18-15屏幕截图.png

日记本

如果觉得我的文章对您有用,请随意赞赏。您的支持将鼓励我继续创作!

赞赏支持
被以下专题收入,发现更多相似内容